

const slider = document.querySelector('.container-div');
let isDown = false;
let startX;
let scrollLeft;

slider.addEventListener('mousedown', (e) => {
        isDown = true;
        slider.classList.add('active');
        startX = e.pageX - slider.offsetLeft;
        scrollLeft = slider.scrollLeft;
});
slider.addEventListener('mouseleave', () => {
        isDown = false;
        slider.classList.remove('active');
});
slider.addEventListener('mouseup', () => {
        isDown = false;
        slider.classList.remove('active');
});
slider.addEventListener('mousemove', (e) => {
        if(!isDown) return;
        e.preventDefault();
        const x = e.pageX - slider.offsetLeft;
        const walk = (x - startX) * 3; //scroll-fast
        slider.scrollLeft = scrollLeft - walk;
        //console.log(walk);
});

const slider2 = document.querySelector('.container-div2');
let isDown2 = false;
let startX2;
let scrollLeft2;

slider2.addEventListener('mousedown', (e) => {
        isDown2 = true;
        slider2.classList.add('active');
        startX2 = e.pageX - slider2.offsetLeft;
        scrollLeft2 = slider2.scrollLeft2;
});
slider2.addEventListener('mouseleave', () => {
        isDown2 = false;
        slider2.classList.remove('active');
});
slider2.addEventListener('mouseup', () => {
        isDown2 = false;
        slider2.classList.remove('active');
});
slider2.addEventListener('mousemove', (e) => {
        if(!isDown2) return;
        e.preventDefault();
        const x2 = e.pageX - slider2.offsetLeft;
        const walk2 = (x2 - startX2) * 3; //scroll-fast
        slider2.scrollLeft2 = scrollLeft2 - walk2;

        console.log(walk2);
});